<?php
/*
Author: dr Dave
URL: http://unknowngenius.com/blog
Version: 2.0b
License: GPL, all that stuff... see WP license for details.


HOW TO USE

1) Most difficult part is hooking the script to make it talk with your email server. Unfortunately there aren't much ways to make this easier. Version 1.1 should have POP support to help make things smoother. For now, please bear with me.

First off, you need to create a special dedicated address where you will be sending your mails to be posted on the blog. As WP Admin suggests, it's a good idea to use something non-obvious or even a random string, as it could otherwise be used by anybody with some technical knowledge to post entries to your blog (password control will be added in a future version of wp-keitai-mail).

You then need to make sure you have mails sent to this address forwarded to the script.
There are different ways to go at it:

a) easiest solution is if your host allows you to set-up "email forward" through a control panel of some kind (most common one is called "cpanel", lots of shared hosting solutions provide it). Depending on the control panel, you should be able to make it forward to a script instead of an address. If it doesn't work, you might want to inquire with your ISP.
You would just use the following command in the "forward address" field (and your newly created email account as the address to be forwarded, of course):

|php /home/yourlogin/wp-keitaimail/wp-keitaimail.php

mind the pipe ('|') at the beginning of the line. The path should be the absolute path to the script on your server.

If that doesnt work, you may also try:

b) If you have a file called '.procmailrc' in the root of your website (and assuming it is being used by the server, but if it exists, chances are it is used).


:0
* ^TO.*your_moblog_address_7658759@yourdomain\.com
{
	:0c
	|php /home/yourlogin/wp-keitaimail/wp-keitaimail.php
}

where "your_moblog_address_7658759@yourdomain\.com" is the moblog email address and the path is the absolute path to the script on your server (mind the pipe '|' here too). 

c) Your host might also be using an Exim recipe file (in which case the setup is very similar to procmail, though the syntax is slightly different and you'll need to either google it or wait until I have a second to document it).

If none of this work, you might have to ask your hosting company about the possibility to run scripts on email reception. Most *nix mail servers can do it.

2) you can have as many emails set as needed (only one is fine too). First email array should contain default values. Each subsequent array must contain at least a log/pass and a category and can override any other setting if necessary (or just leave it empty).

Each array should be of the form:

"email@mailaddress.com" => array (

// mandatory for all arrays
login => "your_login",
pwd => "your_password",
cat => "your category", // an existing blog category where entries should be posted

// only necessary for first array and when you want to override defaults
blog_URL = "http://yourdomain.com/wordpress/", // your blog URL
blog_folder => "/home/yourlogin/www/wordpress/", // the absolute path to your blog folder (same as in WP options)
pix_folder => "images/", // the relative path to an existing folder to store pictures (inside the blog folder). Must absolutely be writable by the server (e.g. chmod 777)

// Optional settings, only set if you want to override the default table layout for pictures:
group_start => "<div class=\"pictures\">", // inserted before the group of thumbnails
group_end => "</div>", // inserted after the group of thumbnails
img_start => "<div class=\"one_picture\">", // inserted before each thumbnail
img_end => "</div>", // inserted after each thumbnail
text_start => "<p class=\"mail_post\">", // inserted before the text part (if any)
text_end => "</p>"
)

don't forget to add a comma ',' after each mail array *except* the last one.

3) Other options:

$max_width: width (in pixels) for thumbnails creation (anything smaller will be left as is).

$enforce_sender: make sure that the sender email is one of the emails listed in the this preference file (if set to false, the default account will be used for any email sent from an unknown address... probably not a good idea)

4) If your mail server is on a different machine from your worpress install, you can still use this plugin and have pictures uploaded through ftp.

IMPORTANT: if you use ftp, you need to make a copy of the file 'class-xmlrpc.php' (located in wp-include) and place it in the same folder as this script (on the machine running the mail server)

Enable FTP by setting:
$use_ftp = true;
and providing your ftp login, password and server URL in the following variables:
$ftp_login, $ftp_pwd, $ftp_server


*/

//### automatic marker: do not remove


$max_width = 120; // Thumbnail max width (in pixels)

// param array: need at least ONE array member. First array must contain default values.
$params = array(

"cellphone_email@mail.com" => array (
login => "my_login",
pwd => "my_password",
cat => "MobLog", // make sure the category exists
blog_URL => "http://unknowngenius.com/blog/", // URL to your blog
blog_folder => "/home/unknowng/www/blog/", // absolute path to your blog folder
pix_folder => "keitai/pix/", // relative to $blog_folder, MUST BE writable by server (chmod 777)...
subject => "MobLog"), // custom default title

"somebodyelse@mail.com" => array (
login => "another_login",
pwd => "another_pass",
cat => "MobLog 2"),


"john@anotherblog.com" => array (
login => "john",
pwd => "yet_another_pass",
cat => "Photos",
blog_URL => "http://unknowngenius.com/different_blog/",
blog_folder => "/home/unknowng/www/guest/john/",
pix_folder => "images/",
group_start => "",
group_end => "",
img_start => "<div class=\"mail_pict\">",
img_end => "</div>")

);



$enforce_sender = true; // only accept posting from pre-defined addresses

// only change if you need to upload via FTP:
$use_ftp = false;

$ftp_login = ""; // not used unless you set $use_ftp to true
$ftp_pwd = "";
$ftp_server = "";

//### automatic marker: do not remove

?>
